Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.config.profile.authn
Class AbstractLoginHandlerFactoryBean

    java.lang.Object
      org.springframework.beans.factory.config.AbstractFactoryBean
          edu.internet2.middleware.shibboleth.idp.config.profile.authn.AbstractLoginHandlerFactoryBean

All Implemented Interfaces:
  org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean

Direct Known Subclasses:
  ExternalAuthnSystemLoginHandlerFactoryBean, IPAddressLoginHandlerFactoryBean, PreviousSessionLoginHandlerFactoryBean, RemoteUserLoginHandlerFactoryBean, UsernamePasswordLoginHandlerFactoryBean

    public abstract class AbstractLoginHandlerFactoryBean

extends org.springframework.beans.factory.config.AbstractFactoryBean

Base class for authentication handler factory beans.

Field Summary

Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`logger`

Constructor Summary
`AbstractLoginHandlerFactoryBean()`

Method Summary
`long` | `getAuthenticationDuration()` Gets the duration of the authentication, in milliseconds.
`List<String>` | `getAuthenticationMethods()` Gets the authentication methods supported by the handler.
`protected void` | `populateHandler(AbstractLoginHandler handler)` Populates the authentication duration and methods of the handler.
`void` | `setAuthenticationDuration(long duration)` Sets the duration of the authentication, in milliseconds.
`void` | `setAuthenticationMethods(List<String> methods)` Sets the authentication methods supported by the handler.

Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean
`afterPropertiesSet, createInstance, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, getObjectType, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLoginHandlerFactoryBean

    public AbstractLoginHandlerFactoryBean()

Method Detail

### getAuthenticationDuration

    public long getAuthenticationDuration()

  Gets the duration of the authentication, in milliseconds.

  Returns:
    duration of the authentication, in milliseconds

### setAuthenticationDuration

    public void setAuthenticationDuration(long duration)

  Sets the duration of the authentication, in milliseconds.

  Parameters:
    `duration` - duration of the authentication, in milliseconds

### getAuthenticationMethods

    public List<String> getAuthenticationMethods()

  Gets the authentication methods supported by the handler.

  Returns:
    authentication methods supported by the handler

### setAuthenticationMethods

    public void setAuthenticationMethods(List<String> methods)

  Sets the authentication methods supported by the handler.

  Parameters:
    `methods` - authentication methods supported by the handler

### populateHandler

    protected void populateHandler(AbstractLoginHandler handler)

  Populates the authentication duration and methods of the handler.

  Parameters:
    `handler` - the authentication handler to populate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2011 Internet2. All Rights Reserved.